using System.Windows.Forms;
using FastReport.Design;
using FastReport.Forms;

namespace FastReport.Wizards
{
    /// <summary>
    /// Represents the "Control identification sign" wizard.
    /// </summary>
    public class ControlIdentificationSignWizard : WizardBase
    {
        /// <inheritdoc/>
        public override bool Run(Designer designer)
        {
            if (!designer.CreateEmptyReport())
                return false;

            using (CISWizardForm form = new CISWizardForm())
            {
                form.InitWizard(designer.Report);
                bool result = form.ShowDialog() == DialogResult.OK;
                return result;
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ControlIdentificationSignWizard"/> class with the default settings.
        /// </summary>
        public ControlIdentificationSignWizard()
        {
        }
    }
}
